Subject: Fwd: header file from yacc doesn't go to a distribution (automake 1.11)

From: Юрий Пухальский <[email-masked]>
Date: Wed, 12 Jan 2011 12:21:19 +0300

Package isn't enclosed because otherwise the message doesn't get through.

> Finally had time to make some tests, and now i've got it:)
>
> When i set AM_YFLAGS to -dt it doesn't distribute a header, probably
> because it's searching for -d to be alone.
> When i set AM_YFLAGS = -d -t, it works.
>
> A small test package enclosed.
>
> 2010/8/1 Ralf Wildenhues <[email-masked]>:
>> Hi Юрий,
>>
>> * Юрий Пухальский wrote on Wed, Jul 28, 2010 at 03:38:11PM CEST:
>>> In the documentation it's stated that "The intermediate files
>>> generated by yacc (or lex) will be included in any distribution that
>>> is made. That way the user doesn't need to have yacc or lex."
>>> But albeit the .c files are included, the corresponding .h file isn't.
>>>
>>> Likewise there is no rule to build a missing header file.
>>
>> Please show a small example where this fails for you.
>>
>> Thanks,
>> Ralf
>>
>
>
>
> --
> «The good thing about standards is there are so many to choose from.»
>

-- 
«The good thing about standards is there are so many to choose from.»